Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer
Class SRTest

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.TLTest<SourceRoute<MultiInetSocketAddress>>
          org.mpisws.p2p.testing.transportlayer.SRTest

Direct Known Subclasses:
  LivenessTest, SRTestBypassEpoch

    public class SRTest

extends TLTest<SourceRoute<MultiInetSocketAddress>>

Field Summary
`static byte[]` | `GOOD_HDR` Goes to Alice/Bob

Constructor Summary
`SRTest()`

Method Summary
`SourceRoute<MultiInetSocketAddress>` | `getBogusIdentifier(SourceRoute<MultiInetSocketAddress> local)` The identifer to a bogus node.
`SourceRoute` | `getIdentifier(TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> a, TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> b)` A's view of b
`void` | `openTCP()` 3 parts: - Alice opens a TCP socket to Bob - Alice sends to Bob - Alice closes the Socket
`void` | `sendUDP()` Sends udp message from alice to bob.
`static void` | `setUpBeforeClass()`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.TLTest
`messageTooBigUDP, noCallbackTest, tearDownAfterClass, testSocketThreadSafety`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GOOD_HDR

    public static final byte[] GOOD_HDR

  Goes to Alice/Bob

Constructor Detail

### SRTest

    public SRTest()

Method Detail

### getIdentifier

    public SourceRoute getIdentifier(TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> a,
                                     TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> b)

  Description copied from class: `TLTest`
  A's view of b

  Overrides:
    `getIdentifier` in class `TLTest<SourceRoute<MultiInetSocketAddress>>`
  Returns:
    A's view of b

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### openTCP

    public void openTCP()
                 throws java.lang.Exception

  Description copied from class: `TLTest`
  3 parts: - Alice opens a TCP socket to Bob - Alice sends to Bob - Alice closes the Socket

  Overrides:
    `openTCP` in class `TLTest<SourceRoute<MultiInetSocketAddress>>`
  Throws:
    `java.lang.Exception`

### sendUDP

    public void sendUDP()
                 throws java.lang.Exception

  Description copied from class: `TLTest`
  Sends udp message from alice to bob.

  Overrides:
    `sendUDP` in class `TLTest<SourceRoute<MultiInetSocketAddress>>`
  Throws:
    `java.lang.Exception`

### getBogusIdentifier

    public SourceRoute<MultiInetSocketAddress> getBogusIdentifier(SourceRoute<MultiInetSocketAddress> local)
                                                           throws java.io.IOException

  Description copied from class: `TLTest`
  The identifer to a bogus node.

  Specified by:
    `getBogusIdentifier` in class `TLTest<SourceRoute<MultiInetSocketAddress>>`
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.